setlocal

set PROGRAMID=Siris
set PROGRAMTITLE=Siris

if "%1" == "/1" goto :1

Sup /pipe - "%~dpf0" /1

exit /b 0

:1
rem Temporary: Siris asks to create intermediate folders when creating a new project.
md "%USERPROFILE%\Documents\Siris"

rem Temporary: Siris has no default settings yet and we still need to configure
rem at least plugins (like Map) so copy initial Settings.json to the user's profile.
md "%APPDATA%\Soletude\Siris"
if not exist "%APPDATA%\Soletude\Siris\Settings.json" ^
copy Settings.json "%APPDATA%\Soletude\Siris\Settings.json"
exit /b
